man(1)

NAME
IncNavierStokesSolver - solves incompressible flow problems

SYNOPSIS
IncNavierStokesSolver [ option(s) ] [ [ session.xml ] ... ]

DESCRIPTION
IncNavierStokesSolver solves the incompressible form of the Navier-Stokes partial differential equations using the spectral/hp element method. It is built on the Nektar++ high-order spectral/hp element framework. The IncNavierStokesSolver uses a velocity-correction splitting scheme to reduce the solution of a vector form of the Navier-Stokes equations to a series of scalar problems. The non-linear advection terms are evaluated, followed by solving a pressure Poisson problem. Finally, a set of Helmholtz problems are solved to correct the velocity for the computed pressure field. The solver uses a semi-implicit time-integration scheme with the advection term evaluated explicitly and the Poisson and Helmholtz problems being evaluated implicitly.

  Further information
For further details and specific configuration options, please consult the Nektar++ user guide available from the website ⟨ www.nektar.info ⟩.

OPTIONS

  General Options

-h [ --help ]

-I [ --solverinfo ] arg
    Overrides a SOLVERINFO property in the XML input files.

-P [ --parameter ] arg
    Overrides a PARAMETER in the XML input files.

-v [ --verbose ]
    Displays additional diagnostic information during the solver execution.

-V [ --version ]
    Prints the version of the Nektar++.

  Parallelisation Options

--npx arg
    Specifies the number of processes in the x-direction.

--npy arg
    Specifies the number of processes in the y-direction.

--npz arg
    Specifies the number of processes in the z-direction.

--part-info
    Output partition information.

--part-only N
    Partitions the input mesh into N partitions and exits.

--part-only-overlapping N
    Partitions mesh into N overlapping partitions and exits.

--use-ptscotch
    Use PT-Scotch for parallel mesh partitioning.

--use-scotch
    Use Scotch for mesh partitioning.

EXAMPLE
To run the solver on a single input file which contains both the geometry and the solver parameter specifications
    IncNavierStokesSolver session.xml
It is often helpful to separate the geometry specification from the remaining solver parameters. In this case multiple .xml files may be provided
    IncNavierStokesSolver session.xml conditions.xml

BUGS
No known bugs.

AUTHOR
Chris Cantwell (c.cantwell@imperial.ac.uk)